summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Heinz Wiesinger <pprkut@liwjatan.at>2010-05-11 22:55:36 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:55:36 +0200
commit9ef4eb0911889d19a2495c0a9752bbc9bdc9f175 (patch)
tree0fc1391df0c7dee50fd07f95549c1c566ef7c667
parente016deb2ea4af04c6a180c6fcaaf14e91c63af88 (diff)
downloadslackbuilds-9ef4eb0911889d19a2495c0a9752bbc9bdc9f175.tar.gz
slackbuilds-9ef4eb0911889d19a2495c0a9752bbc9bdc9f175.tar.xz
system/virtualbox-ose-addons: Added to 12.1 repository
-rw-r--r--system/virtualbox-ose-addons/LocalConfig.kmk8
-rw-r--r--system/virtualbox-ose-addons/README31
-rw-r--r--system/virtualbox-ose-addons/doinst.sh25
-rw-r--r--system/virtualbox-ose-addons/slack-desc19
-rw-r--r--system/virtualbox-ose-addons/vboxadd-timesync.diff69
-rw-r--r--system/virtualbox-ose-addons/virtualbox-ose-addons.SlackBuild126
-rw-r--r--system/virtualbox-ose-addons/virtualbox-ose-addons.info8
7 files changed, 286 insertions, 0 deletions
diff --git a/system/virtualbox-ose-addons/LocalConfig.kmk b/system/virtualbox-ose-addons/LocalConfig.kmk
new file mode 100644
index 0000000000..8b2ca50d4a
--- /dev/null
+++ b/system/virtualbox-ose-addons/LocalConfig.kmk
@@ -0,0 +1,8 @@
+# Modify building of VirtualBox to get a cleaner system
+
+# build only guest-additions
+VBOX_ONLY_ADDITIONS := 1
+
+KBUILD_MSG_STYLE := brief
+
+VBOX_OSE := 1
diff --git a/system/virtualbox-ose-addons/README b/system/virtualbox-ose-addons/README
new file mode 100644
index 0000000000..5c6b2bfc9c
--- /dev/null
+++ b/system/virtualbox-ose-addons/README
@@ -0,0 +1,31 @@
+This is the userspace part of the VirtualBox Guest Additions.
+Together with virtualbox-kernel-addons they enable shared folders,
+shared clipboard, etcetera, inside your Slackware guest machines.
+
+You'll probably want to add the following lines to your rc.local:
+ # Start vboxadd
+ if [ -x /etc/rc.d/rc.vboxadd ]; then
+ /etc/rc.d/rc.vboxadd start
+ fi
+
+ # Start vboxvfs
+ if [ -x /etc/rc.d/rc.vboxvfs ]; then
+ /etc/rc.d/rc.vboxvfs start
+ fi
+
+ # Start vboxadd-timesync
+ if [ -x /etc/rc.d/rc.vboxadd-timesync ]; then
+ /etc/rc.d/rc.vboxadd-timesync start
+ fi
+
+This will load the support kernel module and will setup the network
+configuration for VirtualBox. You should add similar "stop" lines to
+your rc.local_shutdown.
+
+You might want to add
+ /usr/bin/VBoxClient
+to your xinitrc file if you use a desktop environment that doesn't
+respect /etc/xdg/autostart or /usr/share/autostart
+
+This package is intended to be used on GUEST / VIRTUAL MACHINES running
+Slackware, NOT the host system.
diff --git a/system/virtualbox-ose-addons/doinst.sh b/system/virtualbox-ose-addons/doinst.sh
new file mode 100644
index 0000000000..6b419160bc
--- /dev/null
+++ b/system/virtualbox-ose-addons/doinst.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+# Prepare the new configuration files
+for file in etc/rc.d/rc.vboxadd.new etc/rc.d/rc.vboxvfs.new etc/rc.d/rc.vboxadd-timesync.new; do
+ if [ -e $(dirname $file)/$(basename $file .new) -a -x $(dirname $file)/$(basename $file .new) ]; then
+ chmod 0755 $file
+ else
+ chmod 0644 $file
+ fi
+ config $file
+done
+
diff --git a/system/virtualbox-ose-addons/slack-desc b/system/virtualbox-ose-addons/slack-desc
new file mode 100644
index 0000000000..edd5412ae6
--- /dev/null
+++ b/system/virtualbox-ose-addons/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler---------------------------------------|
+virtualbox-ose-addons: virtualbox-ose-addons (VirtualBox Guest Additions)
+virtualbox-ose-addons:
+virtualbox-ose-addons: This is the userspace part of the VirtualBox Guest
+virtualbox-ose-addons: Additions. Together with virtualbox-kernel-addons
+virtualbox-ose-addons: they enable shared folders, shared clipboard, etc
+virtualbox-ose-addons:
+virtualbox-ose-addons: Homepage: http://www.virtualbox.org
+virtualbox-ose-addons:
+virtualbox-ose-addons:
+virtualbox-ose-addons:
+virtualbox-ose-addons:
diff --git a/system/virtualbox-ose-addons/vboxadd-timesync.diff b/system/virtualbox-ose-addons/vboxadd-timesync.diff
new file mode 100644
index 0000000000..b2b930c108
--- /dev/null
+++ b/system/virtualbox-ose-addons/vboxadd-timesync.diff
@@ -0,0 +1,69 @@
+#The MIT License
+#
+#Copyright (c) 2008 Heinz Wiesinger
+#
+#Permission is hereby granted, free of charge, to any person obtaining a copy
+#of this software and associated documentation files (the "Software"), to deal
+#in the Software without restriction, including without limitation the rights
+#to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+#copies of the Software, and to permit persons to whom the Software is
+#furnished to do so, subject to the following conditions:
+#
+#The above copyright notice and this permission notice shall be included in
+#all copies or substantial portions of the Software.
+#
+#THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+#IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+#FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+#AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+#LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+#OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+#THE SOFTWARE.
+--- vboxadd-timesync.sh 2008-06-25 20:09:33.000000000 +0200
++++ vboxadd-timesync.sh.new 2008-09-24 22:17:54.941071664 +0200
+@@ -45,6 +45,9 @@
+ elif [ -f /etc/gentoo-release ]; then
+ system=gentoo
+ PIDFILE="/var/run/vboxadd-timesync"
++elif [ -f /etc/slackware-version ]; then
++ system=slackware
++ PIDFILE="/var/run/vboxadd-timesync"
+ else
+ system=other
+ if [ -d /var/run -a -w /var/run ]; then
+@@ -123,6 +126,35 @@
+ fi
+ fi
+
++if [ "$system" = "slackware" ]; then
++ daemon() {
++ $1 $2
++ }
++
++ killproc() {
++ killall $1
++ rm -f $PIDFILE
++ }
++
++ fail_msg() {
++ echo " ...fail!"
++ }
++
++ succ_msg() {
++ echo " ...done."
++ }
++
++ status() {
++ echo -n "Checking for vboxadd-timesync"
++ if [ -f /var/run/$1 ]; then
++ echo " ...running"
++ else
++ echo " ...not running"
++ fi
++ }
++
++fi
++
+ if [ "$system" = "other" ]; then
+ fail_msg() {
+ echo " ...fail!"
diff --git a/system/virtualbox-ose-addons/virtualbox-ose-addons.SlackBuild b/system/virtualbox-ose-addons/virtualbox-ose-addons.SlackBuild
new file mode 100644
index 0000000000..33ec6ad4ff
--- /dev/null
+++ b/system/virtualbox-ose-addons/virtualbox-ose-addons.SlackBuild
@@ -0,0 +1,126 @@
+#!/bin/sh
+
+# Slackware build script for virtualbox-ose-addons
+
+# Copyright 2008 Heinz Wiesinger <pprkut@liwjatan.at>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=virtualbox-ose-addons
+SRCNAM=VirtualBox
+VERSION=2.0.6
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if ! grep ^vboxadd: /etc/passwd 2>&1 > /dev/null; then
+ echo " Must have a vboxadd user to run this script."
+ echo " # useradd -d /var/run/vboxadd -g 1 -s /bin/sh vboxadd"
+ echo " Or something similar."
+ exit 1
+fi
+
+# kmk doesn't support MAKEFLAGS, so we use JOBS here
+JOBS=${JOBS:-3}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-${VERSION}-OSE.tar.bz2
+cd $SRCNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+#We set the environment variables manually to avoid dependency on dev86 and acpica
+export BUILD_PLATFORM="linux"
+export BUILD_PLATFORM_ARCH="x86"
+export BUILD_TARGET="linux"
+export BUILD_TARGET_ARCH="x86"
+export BUILD_TARGET_CPU="$ARCH"
+export BUILD_TYPE="release"
+export PATH_KBUILD="$TMP/$SRCNAM-$VERSION/kBuild"
+export PATH_DEVTOOLS="$TMP/$SRCNAM-$VERSION/tools"
+path_kbuild_bin="$PATH_KBUILD/bin/$BUILD_TARGET.$BUILD_PLATFORM_ARCH"
+export PATH_KBUILD_BIN="$path_kbuild_bin"
+path_dev_bin="$PATH_DEVTOOLS/$BUILD_TARGET.$BUILD_PLATFORM_ARCH"/bin
+echo "$PATH" | grep -q "$path_kbuild_bin" || PATH="$path_kbuild_bin:$PATH"
+echo "$PATH" | grep -q "$path_dev_bin" || PATH="$path_dev_bin:$PATH"
+export PATH
+unset path_kbuild_bin path_dev_bin
+
+kmk -j ${JOBS} LOCALCFG=$CWD/LocalConfig.kmk
+
+mkdir -p $PKG/usr/{src,bin,sbin,share/autostart} \
+ $PKG/etc/{xdg/autostart,udev/rules.d,rc.d} \
+ $PKG/usr/lib/xorg/modules/{drivers,input}
+
+# Patch vboxadd-timesync.sh to support Slackware
+patch -d src/VBox/Additions/linux/installer -i $CWD/vboxadd-timesync.diff
+
+cp -f src/VBox/Additions/linux/installer/vboxadd.sh $PKG/etc/rc.d/rc.vboxadd.new
+cp -f src/VBox/Additions/linux/installer/vboxvfs.sh $PKG/etc/rc.d/rc.vboxvfs.new
+cp -f src/VBox/Additions/linux/installer/vboxadd-timesync.sh $PKG/etc/rc.d/rc.vboxadd-timesync.new
+
+cp -f src/VBox/Additions/x11/installer/vboxclient.desktop $PKG/etc/xdg/autostart/
+cp -f src/VBox/Additions/x11/installer/vboxclient.desktop $PKG/usr/share/autostart/
+install -m 755 src/VBox/Additions/x11/installer/VBoxRandR.sh $PKG/usr/bin/VBoxRandR
+
+echo "KERNEL==\"vboxadd\", NAME=\"vboxadd\", OWNER=\"vboxadd\", MODE=\"0660\"" \
+ > $PKG/etc/udev/rules.d/60-vboxadd.rules
+
+cd out/linux.x86/release/bin/additions
+ cp -rf src/vboxadd $PKG/usr/src/vboxadd-$VERSION
+ cp -rf src/vboxvfs $PKG/usr/src/vboxvfs-$VERSION
+ install -m 755 VBoxControl $PKG/usr/bin/
+ install -m 755 VBoxClient $PKG/usr/bin/
+ install -m 755 vboxadd-timesync $PKG/usr/sbin/
+ install -m 4755 mountvboxsf $PKG/usr/sbin/mount.vboxsf
+ install -m 644 vboxvideo_drv_14.so $PKG/usr/lib/xorg/modules/drivers/vboxvideo_drv.so
+ install -m 644 vboxmouse_drv_14.so $PKG/usr/lib/xorg/modules/input/vboxmouse_drv.so
+
+ chown vboxadd:1 $PKG/usr/bin/VBoxClient
+ chmod 4755 $PKG/usr/bin/VBoxClient
+cd -
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -f COPYING COPYING.CDDL $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/virtualbox-ose-addons/virtualbox-ose-addons.info b/system/virtualbox-ose-addons/virtualbox-ose-addons.info
new file mode 100644
index 0000000000..bbec98e930
--- /dev/null
+++ b/system/virtualbox-ose-addons/virtualbox-ose-addons.info
@@ -0,0 +1,8 @@
+PRGNAM="virtualbox-ose-addons"
+VERSION="2.0.6"
+HOMEPAGE="http://www.virtualbox.org"
+DOWNLOAD="http://download.virtualbox.org/virtualbox/2.0.6/VirtualBox-2.0.6-OSE.tar.bz2"
+MD5SUM="455253532b5128bb5c2ff4c76b9751a7"
+MAINTAINER="ppr:kut"
+EMAIL="pprkut@liwjatan.at"
+APPROVED="dsomero"